[srptools/f15] Ininitial import into fedora git

Doug Ledford dledford at fedoraproject.org
Wed Jan 11 18:37:45 UTC 2012


commit 8fd36e95fa4166d7c0660604ca86f979cb7296d5
Author: Doug Ledford <dledford at redhat.com>
Date:   Wed Jan 11 13:37:10 2012 -0500

    Ininitial import into fedora git
    
    Signed-off-by: Doug Ledford <dledford at redhat.com>

 .gitignore    |   14 +++++++
 sources       |    1 +
 srptools.init |  113 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 srptools.spec |   91 ++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 219 insertions(+), 0 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index e69de29..fa30cc9 100644
--- a/.gitignore
+++ b/.gitignore
@@ -0,0 +1,14 @@
+i386/
+i686/
+x86_64/
+ppc/
+ppc64/
+ia64/
+mips/
+arm*/
+noarch/
+.project
+*.src.rpm
+.build*.log
+/srptools-0.0.4/
+/srptools-0.0.4-0.1.gce1f64c.tar.gz
diff --git a/sources b/sources
index e69de29..4fa27a3 100644
--- a/sources
+++ b/sources
@@ -0,0 +1 @@
+f8370ac17c33aa8d6a897064794a7d68  srptools-0.0.4-0.1.gce1f64c.tar.gz
diff --git a/srptools.init b/srptools.init
new file mode 100644
index 0000000..b146f12
--- /dev/null
+++ b/srptools.init
@@ -0,0 +1,113 @@
+#!/bin/bash
+#
+# Bring up/down the SRP client daemon
+#
+# chkconfig: - 25 75
+# description: Starts/Stops InfiniBand SRP client service
+# config:	/etc/srp_daemon.conf
+#
+### BEGIN INIT INFO
+# Provides:       srpd
+# Default-Stop: 0 1 2 3 4 5 6
+# Required-Stop:
+# Short-Description: Starts and stops the InfiniBand SRP client service
+# Description: The InfiniBand SRP client service attaches to SRP devices
+#	on the InfiniBand fabric and makes them appear as local disks to
+#	to the system.  This service starts the client daemon that's
+#	responsible for initiating and maintaining the connections to
+#	remote devices.
+### END INIT INFO
+
+CONFIG=/etc/srp_daemon.conf
+RDMA_CONFIG=/etc/rdma/rdma.conf
+pidfile=/var/run/srp_daemon.sh.pid
+subsys=/var/lock/subsys/srpd
+prog=/usr/sbin/srp_daemon.sh
+
+. /etc/rc.d/init.d/functions
+
+SRP_LOADED=no
+if [ -f $RDMA_CONFIG ]; then
+    . $CONFIG
+    if [ "${SRP_LOAD}" == "yes" ]; then
+	SRP_LOADED=yes
+    fi
+fi
+
+start()
+{
+    if [ "$SRP_LOADED" == "no" ]; then
+	return 6
+    fi
+
+    echo -n "Starting SRP daemon service:"
+
+    daemon $prog
+    RC=$?
+    [ $RC -eq 0 ] && touch $subsys
+    echo
+    return $RC
+}
+
+stop()
+{
+    echo -n "Stopping SRP daemon service:"
+
+    killproc -p $pidfile -d 2 srp_daemon.sh
+    RC=$?
+    rm -f $subsys
+    echo
+    return $RC
+}
+
+status()
+{
+    if [ ! -f $subsys -a ! -f $pidfile ]; then
+    	return 3
+    fi
+    if [ -f $pidfile ]; then
+	checkpid `cat $pidfile`
+	return $?
+    fi
+    if [ -f $subsys ]; then
+	return 2
+    fi
+}
+
+restart ()
+{
+    stop
+    start
+}
+
+condrestart ()
+{
+    [ -e $subsys ] && restart || return 0
+}
+
+usage ()
+{
+    echo
+    echo "Usage: `basename $0` {start|stop|restart|condrestart|try-restart|force-reload|status}"
+    echo
+    return 2
+}
+
+case $1 in
+    start|stop|restart|condrestart|try-restart|force-reload)
+	[ `id -u` != "0" ] && exit 4 ;;
+esac
+
+case $1 in
+    start) start; RC=$? ;;
+    stop) stop; RC=$? ;;
+    restart) restart; RC=$? ;;
+    reload) RC=3 ;;
+    condrestart) condrestart; RC=$? ;;
+    try-restart) condrestart; RC=$? ;;
+    force-reload) condrestart; RC=$? ;;
+    status) status; RC=$? ;;
+    *) usage; RC=$? ;;
+esac
+
+exit $RC
diff --git a/srptools.spec b/srptools.spec
new file mode 100644
index 0000000..9589bb5
--- /dev/null
+++ b/srptools.spec
@@ -0,0 +1,91 @@
+Name: srptools
+Version: 0.0.4
+Release: 11%{?dist}
+Summary: Tools for using the InfiniBand SRP protocol devices
+Group: System Environment/Base
+License: GPLv2 or BSD
+Url: http://www.openfabrics.org/
+Source0: http://www.openfabrics.org/downloads/%{name}/%{name}-%{version}-0.1.gce1f64c.tar.gz
+Source1: srptools.init
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+BuildRequires: libibumad-devel, libibverbs-devel > 1.1.3
+ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64
+Obsoletes: openib-srptools <= 0.0.6
+
+%description
+In conjunction with the kernel ib_srp driver, srptools allows you to
+discover and use SCSI devices via the SCSI RDMA Protocol over InfiniBand.
+
+%prep
+%setup -q
+
+%build
+%configure
+make CFLAGS="$CFLAGS -fno-strict-aliasing" %{?_smp_mflags}
+
+%install
+rm -rf %{buildroot}
+make DESTDIR=%{buildroot} install
+install -p -m 755 -D %{SOURCE1} %{buildroot}%{_initrddir}/srpd
+
+%clean
+rm -rf %{buildroot}
+
+%files
+%defattr(-,root,root)
+%config(noreplace) %{_sysconfdir}/srp_daemon.conf
+%{_initrddir}/srpd
+%{_sbindir}/ibsrpdm
+%{_sbindir}/srp_daemon
+%{_sbindir}/srp_daemon.sh
+%{_sbindir}/run_srp_daemon
+%{_mandir}/man1/ibsrpdm.1*
+%{_mandir}/man1/srp_daemon.1*
+%doc README NEWS ChangeLog COPYING
+
+%changelog
+* Fri Jan 06 2012 Doug Ledford <dledford at redhat.com> - 0.0.4-11
+- Initial import into Fedora
+
+* Wed Jul 27 2011 Doug Ledford <dledford at redhat.com> - 0.0.4-10.el6
+- Fix build on i686 arch
+- Resolves: bz724900
+
+* Thu Feb 03 2011 Doug Ledford <dledford at redhat.com> - 0.0.4-9.el6
+- Add srpd init script
+- Resolves: bz591169, bz658633, bz658674
+
+* Mon Jan 25 2010 Doug Ledford <dledford at redhat.com> - 0.0.4-8.el6
+- Update to latest upstream version so we can have an actual URL that works
+- Fix ups for pkgwrangler import and also fix bug reported against rhel5
+  version of package (552915)
+- Related: bz543948
+
+* Tue Dec 22 2009 Doug Ledford <dledford at redhat.com> - 0.0.4-7.el5
+- Bump and rebuild against new libibumad
+- Related: bz518218
+
+* Mon Jun 22 2009 Doug Ledford <dledford at redhat.com> - 0.0.4-6.el5
+- Rebuild against libibverbs that isn't missing the proper ppc wmb() macro
+- Related: bz506258
+
+* Sun Jun 21 2009 Doug Ledford <dledford at redhat.com> - 0.0.4-5.el5
+- Build against non-XRC libibverbs
+- Update to ofed 1.4.1 final bits
+- Related: bz506258, bz506097
+
+* Fri Apr 24 2009 Doug Ledford <dledford at redhat.com> - 0.0.4-4.el5
+- Add -fno-strict-aliasing to CFLAGS
+
+* Sat Apr 18 2009 Doug Ledford <dledford at redhat.com> - 0.0.4-3.el5
+- Bump and rebuild against updated libibverbs and libibumad
+- Related: bz459652
+
+* Tue Apr 01 2008 Doug Ledford <dledford at redhat.com> - 0.0.4-2
+- Update to OFED 1.3 final bits
+- Related: bz428197
+
+* Tue Jan 29 2008 Doug Ledford <dledford at redhat.com> - 0.0.4-1
+- Import upstream srptools and obsolete old openib-srptools package
+- Related: bz428197
+


More information about the scm-commits mailing list